# QVM: Quaternions, Vectors, Matrices

### vref

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value
            template <class A>
            -unspecified-return-type- vref( A & a );
        }
    }

#### Returns:

An identity view proxy of a; that is, it simply accesses the elements of a.

This allows calling Boost QVM operations when a is of built-in type, for example a plain old C array.

See also: boost/qvm/vec_operations.hpp